## com.google.javascript.jscomp
Class FunctionInformationMap

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  com.google.javascript.jscomp.FunctionInformationMap

All Implemented Interfaces:
  FunctionInformationMapOrBuilder, com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable

    public final class FunctionInformationMap

extends com.google.protobuf.GeneratedMessage
implements FunctionInformationMapOrBuilder

See Also:
  Serialized Form

Nested Class Summary
`static class` | `FunctionInformationMap.Builder`
`static class` | `FunctionInformationMap.Entry`
`static interface` | `FunctionInformationMap.EntryOrBuilder`
`static class` | `FunctionInformationMap.Module`
`static interface` | `FunctionInformationMap.ModuleOrBuilder`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static int` | `ENTRY_FIELD_NUMBER`
`static int` | `MODULE_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`static FunctionInformationMap` | `getDefaultInstance()`
`FunctionInformationMap` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`FunctionInformationMap.Entry` | `getEntry(int index)`
`int` | `getEntryCount()`
`List<FunctionInformationMap.Entry>` | `getEntryList()`
`FunctionInformationMap.EntryOrBuilder` | `getEntryOrBuilder(int index)`
`List<? extends FunctionInformationMap.EntryOrBuilder>` | `getEntryOrBuilderList()`
`FunctionInformationMap.Module` | `getModule(int index)`
`int` | `getModuleCount()`
`List<FunctionInformationMap.Module>` | `getModuleList()`
`FunctionInformationMap.ModuleOrBuilder` | `getModuleOrBuilder(int index)`
`List<? extends FunctionInformationMap.ModuleOrBuilder>` | `getModuleOrBuilderList()`
`int` | `getSerializedSize()`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static FunctionInformationMap.Builder` | `newBuilder()`
`static FunctionInformationMap.Builder` | `newBuilder(FunctionInformationMap prototype)`
`FunctionInformationMap.Builder` | `newBuilderForType()`
`protected FunctionInformationMap.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static FunctionInformationMap` | `parseDelimitedFrom(InputStream input)`
`static FunctionInformationMap` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap` | `parseFrom(byte[] data)`
`static FunctionInformationMap` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap` | `parseFrom(com.google.protobuf.ByteString data)`
`static FunctionInformationMap` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static FunctionInformationMap` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap` | `parseFrom(InputStream input)`
`static FunctionInformationMap` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`FunctionInformationMap.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### ENTRY_FIELD_NUMBER

    public static final int ENTRY_FIELD_NUMBER

See Also:
  Constant Field Values

### MODULE_FIELD_NUMBER

    public static final int MODULE_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static FunctionInformationMap getDefaultInstance()

### getDefaultInstanceForType

    public FunctionInformationMap getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### getEntryList

    public List<FunctionInformationMap.Entry> getEntryList()

  Specified by:
    `getEntryList` in interface `FunctionInformationMapOrBuilder`

### getEntryOrBuilderList

    public List<? extends FunctionInformationMap.EntryOrBuilder> getEntryOrBuilderList()

  Specified by:
    `getEntryOrBuilderList` in interface `FunctionInformationMapOrBuilder`

### getEntryCount

    public int getEntryCount()

  Specified by:
    `getEntryCount` in interface `FunctionInformationMapOrBuilder`

### getEntry

    public FunctionInformationMap.Entry getEntry(int index)

  Specified by:
    `getEntry` in interface `FunctionInformationMapOrBuilder`

### getEntryOrBuilder

    public FunctionInformationMap.EntryOrBuilder getEntryOrBuilder(int index)

  Specified by:
    `getEntryOrBuilder` in interface `FunctionInformationMapOrBuilder`

### getModuleList

    public List<FunctionInformationMap.Module> getModuleList()

  Specified by:
    `getModuleList` in interface `FunctionInformationMapOrBuilder`

### getModuleOrBuilderList

    public List<? extends FunctionInformationMap.ModuleOrBuilder> getModuleOrBuilderList()

  Specified by:
    `getModuleOrBuilderList` in interface `FunctionInformationMapOrBuilder`

### getModuleCount

    public int getModuleCount()

  Specified by:
    `getModuleCount` in interface `FunctionInformationMapOrBuilder`

### getModule

    public FunctionInformationMap.Module getModule(int index)

  Specified by:
    `getModule` in interface `FunctionInformationMapOrBuilder`

### getModuleOrBuilder

    public FunctionInformationMap.ModuleOrBuilder getModuleOrBuilder(int index)

  Specified by:
    `getModuleOrBuilder` in interface `FunctionInformationMapOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static FunctionInformationMap parseFrom(com.google.protobuf.ByteString data)
                                            throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static FunctionInformationMap parseFrom(com.google.protobuf.ByteString data,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static FunctionInformationMap parseFrom(byte[] data)
                                            throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static FunctionInformationMap parseFrom(byte[] data,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static FunctionInformationMap parseFrom(InputStream input)
                                            throws IOException

  Throws:
    `IOException`

### parseFrom

    public static FunctionInformationMap parseFrom(InputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static FunctionInformationMap parseDelimitedFrom(InputStream input)
                                                     throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static FunctionInformationMap parseDelimitedFrom(InputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

  Throws:
    `IOException`

### parseFrom

    public static FunctionInformationMap parseFrom(com.google.protobuf.CodedInputStream input)
                                            throws IOException

  Throws:
    `IOException`

### parseFrom

    public static FunctionInformationMap parseFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

  Throws:
    `IOException`

### newBuilder

    public static FunctionInformationMap.Builder newBuilder()

### newBuilderForType

    public FunctionInformationMap.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static FunctionInformationMap.Builder newBuilder(FunctionInformationMap prototype)

### toBuilder

    public FunctionInformationMap.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected FunctionInformationMap.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`